Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.weblogic.helper
Class WebLogicHelper

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.util.weblogic.helper.WebLogicHelper

Deprecated. No replacement - see method javadoc

public class WebLogicHelper
extends java.lang.Object
implements ToolkitConstants

Single point of access to the application server. This should make it easy to swap out servers, and processes.

Field Summary
`protected static WebLogicHelper` | `cc` Deprecated. Singleton instance.
`protected static boolean` | `debug` Deprecated. Compile out the debug code.
`protected java.lang.String` | `serverUrl` Deprecated. The weblogic server url.
`protected weblogic.common.T3ServicesDef` | `t3Services` Deprecated. Handle to the Weblogic T3 client class.

Constructor Summary
`protected` | `WebLogicHelper()` Deprecated. Default constructor.

Method Summary
`void` | `finalize()` Deprecated. Destructor.
`int` | `getBuild()` Deprecated. Services that need this should provide internal implementation
`java.sql.Connection` | `getConnection()` Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
`static WebLogicHelper` | `getInstance()` Deprecated. Get the singleton instance.
`java.sql.Connection` | `getJDBCConnection()` Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
`java.sql.Connection` | `getJtsConnection()` Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
`long` | `getNewId()` Deprecated. Use `JdbcSequencer`
`long` | `getNewId(java.lang.String anId)` Deprecated. Use `JdbcSequencer`
`java.lang.Object` | `getService(java.lang.String aLookupName)` Deprecated. Use `JndiHelper` to get the Context and do the lookup.
`weblogic.common.T3ServicesDef` | `getT3Services()` Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
`weblogic.time.common.TimeServicesDef` | `getTime()` Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
`protected void` | `init()` Deprecated.
`void` | `log(int aLevel, java.lang.String aMsg)` Deprecated. Use Weblogic i18n message logging
`void` | `log(int aLevel, java.lang.String appName, java.lang.String aMsg)` Deprecated. Use Weblogic i18n message logging
`void` | `log(java.lang.String aMsg)` Deprecated. Use Weblogic i18n message logging
`void` | `setupConnection()` Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static final boolean debug

  Deprecated.
  Compile out the debug code.

### cc

    protected static WebLogicHelper cc

  Deprecated.
  Singleton instance.

### t3Services

    protected weblogic.common.T3ServicesDef t3Services

  Deprecated.
  Handle to the Weblogic T3 client class.

### serverUrl

    protected java.lang.String serverUrl

  Deprecated.
  The weblogic server url. something similar to t3://localhost:7001

Constructor Detail

### WebLogicHelper

    protected WebLogicHelper()

  Deprecated.
  Default constructor.

Method Detail

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Deprecated.
  Destructor.

  Overrides:
    finalize in class java.lang.Object

### getInstance

    public static WebLogicHelper getInstance()

  Deprecated.
  Get the singleton instance.

  Returns:
    WebLogicHelper

### getT3Services

    public weblogic.common.T3ServicesDef getT3Services()

  Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
  Get the services. Subclasses should implement if different.

### getTime

    public weblogic.time.common.TimeServicesDef getTime()

  Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
  Get the T3 time service.

  Returns:
    TimeServicesDef the time services.

### init

    protected void init()

  Deprecated.
  Init the connections to the app server.

### setupConnection

    public void setupConnection()
                         throws ToolkitException

  Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
  creates a T3Client connection to the Tengah server, creates a jndi context to lookup the TRVClientServices object, and creates a TRVClient

  Throws:
    ToolkitException - holder for any exception

### getService

    public java.lang.Object getService(java.lang.String aLookupName)
                                throws ToolkitException

  Deprecated. Use `JndiHelper` to get the Context and do the lookup.
  Connect to a reference in JNDI referred to by the lookup name.

  Parameters:
    `String` - the lookup name.
  Returns:
    Object the object referenced by the name. Use this to get handles to Home interfaces, RMI objects, etc.
  Throws:
    ToolkitException - holder for any exception

### log

    public void log(java.lang.String aMsg)

  Deprecated. Use Weblogic i18n message logging
  Write to the weblogic logs, with extra information added. The granularity is defined in the properties file.

  Parameters:
    `String` - the message, if null it will ignore.

### log

    public void log(int aLevel,
                    java.lang.String aMsg)

  Deprecated. Use Weblogic i18n message logging
  Write to the weblogic logs, with extra information added. The granularity is defined in the properties file.

  Parameters:
    `int` - aLevel Possible error levels are: FrameworkConstants.LOG_DEBUG FrameworkConstants.LOG_INFO FrameworkConstants.LOG_WARNING FrameworkConstants.LOG_ERROR FrameworkConstants.LOG_FATAL FrameworkConstants.LOG_SECURITY
    `String` - the message, if null it will ignore.

### getBuild

    public int getBuild()

  Deprecated. Services that need this should provide internal implementation
  Get the WebLogic version.

  Returns:
    the version.

### log

    public void log(int aLevel,
                    java.lang.String appName,
                    java.lang.String aMsg)

  Deprecated. Use Weblogic i18n message logging
  Write to the weblogic logs, with extra information added. The granularity is defined in the properties file.

  Parameters:
    `int` - aLevel Possible error levels are: FrameworkConstants.LOG_DEBUG FrameworkConstants.LOG_INFO FrameworkConstants.LOG_WARNING FrameworkConstants.LOG_ERROR FrameworkConstants.LOG_FATAL FrameworkConstants.LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it will ignore.

### getConnection

    public java.sql.Connection getConnection()
                                      throws ToolkitException,
                                             java.sql.SQLException

  Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
  Get a connection to a pooled database connection in Weblogic.

  Returns:
    Connection pooled connection

### getJDBCConnection

    public java.sql.Connection getJDBCConnection()
                                          throws ToolkitException,
                                                 java.sql.SQLException

  Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
  Get a straight JDBC connection.

  Returns:
    `Connection`
  Throws:
    `ToolkitException` -
    `SQLException` -

### getJtsConnection

    public java.sql.Connection getJtsConnection()
                                         throws ToolkitException,
                                                java.sql.SQLException

  Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
  Get connection.

  Returns:
    `Connection`
  Throws:
    `ToolkitException` -
    `SQLException` -

### getNewId

    public long getNewId()
                  throws ToolkitException

  Deprecated. Use `JdbcSequencer`
  Get a unique id for a schema.

  Returns:
    ;pmg the new id.

### getNewId

    public long getNewId(java.lang.String anId)
                  throws ToolkitException

  Deprecated. Use `JdbcSequencer`
  Get a unique id for a given id.

  Parameters:
    `anId` - the table name, bean name, whatever you want to keep track of unique ids for.
  Returns:
    long the new id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved